Subject: Re: [PATCH net-next v5] ethtool: add netlink based get rss support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Nov 2022 15:24:23 -0800

On Fri, 25 Nov 2022 22:19:22 +0000 Mogilappagari, Sudheer wrote:
> > Let's not put the number of rings in RSS.
> > 
> > I keep having to explain to people how to calculate the correct number
> > of active RX rings. If the field is in the channels API hopefully
> > they'll just use it.
> > 
> > The max ring being in RXFH seems like a purely historic / legacy thing.  
> 
> Yes. channels API has this information. If ring count is not recommended in
> RSS_GET, any possibility of excluding rings info from ethtool output too?
> Included rings attribute in RSS_GET because user space code gets simplified
> while maintaining backward compatibility of output. 
> 
> I assume same output needs to be maintained. So, will have user space code
> doing CHANNELS_GET and RSS_GET during ethtool -x. 
>    
> $ ethtool -x eth0
> RX flow hash indirection table for eth0 with 56 RX ring(s): <<< 
>     0:      0     1     2     3     4     5     6     7

I didn't recall the ring count being listed there. I would not be
against dropping it. Otherwise lets read the value via the channels
command. Simple matter of coding, as they say.